## Name

gui — Creates an instance of MGEDs default Tcl/Tk graphical user interface (GUI).

## Synopsis

`gui` [{-config} | [b] | [c] | [g]] [{-d} | {`display_string`}] [{-gd} | {`graphics_display_string`}] [{-dt} | {`graphics_type`}] [{id} | {`name`}] [{-c} | {-h} | {-j} | {-s}]

## DESCRIPTION

Creates an instance of MGEDs default Tcl/Tk graphical user interface (GUI). The following options are allowed:

-config b c g

  Configures the GUI to display the command window, the graphics window, or both. This option is useful only when the GUI is combining the text and graphics windows. See the -c option.

-d display_string

  Displays/draws the GUI on the screen indicated by the display_string. Note that this string format is the same as the X DISPLAY environment variable.

-gd display_string

  Displays/draws the graphics window on the screen indicated by the display_string. Note that this string format is the same as the X DISPLAY environment variable.

-dt graphics_type

  Indicates the type of graphics windows to use. The possible choices are X and ogl (for machines that support OpenGL). Defaults to ogl, if supported; otherwise X.

-id name

  Specifies the id to use when referring to this instance of the GUI.

-c

  Combines text window and display manager windows.

-s

  Uses separate text window and display manager windows. This is the default behavior.

-j

  Join the collaborative session.

-h

  Prints the help message.

## EXAMPLES

There were no examples given for this command.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.